const TokenKey = "saber-access-token";
export function setCookie(key, value, day) {
  let cookie = key + "=" + encodeURIComponent(value);
  if (day > 0) {
    let date = new Date();
    date.setDate(date.getDate() + day);
    cookie += ";expires=" + date;
  }
  document.cookie = cookie;
}
export function getCookie(key) {
  if (document.cookie.indexOf(key) < 0) {
    return;
  }
  let cookies = document.cookie.split(";");
  for (let i = 0; i < cookies.length; i++) {
    let temp = cookies[i].split("=");
    if (temp[0].replace(/\s/g, "") === key) {
      return decodeURIComponent(temp[1]);
    }
  }
}
export function getToken() {
  if (process.env.NODE_ENV === "development") {
    // return 'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJza3k5MTEiLCJpbnN0SWQiOiIxNzM5OTMxNjQxMjY4MjYwODY5Iiwia2lkIjoibXhrX2F1dGhfandrIiwiaXNzIjoiaHR0cHM6Ly9xZXZvYy5jb20vIiwic3R5bGUiOiJ3ZWIiLCJleHAiOjE3MzIyMzI2OTcsImlhdCI6MTcyODYzMjY5NywidXNlcklkIjoiMTczOTkyNzcxNDEyMDQ1NDIzNyIsImp0aSI6IjEwNDIxNDI4MDk2MjYyNDcxNjgifQ.HiKLCVWE4-jaP8CCPhp35GiFjW1eIs2Nu6X4bfY6rBwAh5UtQ7KzmzggqwLy829zEMKScyQreKPOEFAzPfbXpA'
    return 'eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJtMTgwMDAwMzc1MDEiLCJpbnN0SWQiOiIxNzM4MDA5MzAwMTc0NTMzNjI3Iiwia2lkIjoibXhrX2F1dGhfandrIiwiaXNzIjoiaHR0cHM6Ly9xZXZvYy5jb20vIiwic3R5bGUiOiJ3ZWIiLCJleHAiOjE3MzUxMDM2MzcsImlhdCI6MTczMTUwMzYzNywidXNlcklkIjoiMTc4MzQxNDQxNzAxOTQwODQwOCIsImp0aSI6IjEwNTQxODQ1MDYzMTI4ODQyMjQifQ.TFWH8QV34_fDr07Bv2fMJ0UNd5dxsHKkCOkCn-Xwjs30Oacsnfr_VZMiVx0M5ULh4dGVLFuZgrBORubzf2mtZQ'
  } else {
    return getCookie('congress')
  }
}
